Package org.apache.sling.query.impl.iterator

## Enum SiblingsIterator.Type

- java.lang.Object
- - java.lang.Enum<SiblingsIterator.Type>
  - - org.apache.sling.query.impl.iterator.SiblingsIterator.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SiblingsIterator.Type>`

Enclosing class:
  SiblingsIterator<T>

    public static enum SiblingsIterator.Type
    extends Enum<SiblingsIterator.Type>

### Enum Constant Summary

Enum Constants
`NEXT`
`PREV`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract <T> T` `advance​(ListIterator<T> iterator)`
`abstract boolean` `canAdvance​(ListIterator<?> iterator)`
`static SiblingsIterator.Type` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SiblingsIterator.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEXT

    public static final SiblingsIterator.Type NEXT

#### PREV

    public static final SiblingsIterator.Type PREV

### Method Detail

#### values

    public static SiblingsIterator.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SiblingsIterator.Type c : SiblingsIterator.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SiblingsIterator.Type valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### canAdvance

    public abstract boolean canAdvance​(ListIterator<?> iterator)

#### advance

    public abstract <T> T advance​(ListIterator<T> iterator)